Agents
Save agent configuration
Save agent configuration values. Validated against manifest config schema.
PUT
/api/agents/{scope}/{name}/configbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
scope*string
Match
^@[a-z0-9][a-z0-9-]*$name*string
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidRequest Body
application/json
[key: string]?any
curl -X PUT "https://loading/api/agents/string/string/config" \ -H "Content-Type: application/json" \ -d '{}'{
"config": {},
"validation": {
"valid": true
}
}{
"type": "https://docs.appstrate.dev/errors/invalid-request",
"title": "Invalid Request",
"status": 400,
"detail": "Field is required",
"code": "invalid_request",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Insufficient permissions",
"code": "forbidden",
"requestId": "req_abc123"
}